Subject: RE: [AVT] Update (-09) of Timed Tex draft (WAS:RE:Commentsondraft-ietf-avt-rtp-3gpp-timed-text-08.txt)

From: "Jose Rey" <[email-masked]>
Date: Mon, 2 May 2005 13:30:22 +0200

Colin,

[]
> >> I'm not sure this part's appropriate, since it assumes a 
> particular 
> >> receiver buffer implementation strategy.
> >
> > I am assuming that only the basic functionality is implemented: 
> > opening RTP packets, reading out units, giving them a TS as 
> the rules 
> > describe and storing them in the receiver buffer in TS order.  I 
> > intended to be as general as possible.  The last sentence 
> may lead to 
> > misunderstanding.  Instead of that one, maybe describing an 
> easy way 
> > to avoid this situation is more helpful:
> >
> > "Note that sending a sample description together with every text 
> > sample (or set of samples) may result in a situation where the same 
> > sample description is present in the receiver buffer many 
> times, but 
> > with different timestamp values.  This can be avoided by 
> maintaining a 
> > list of currently stored sample descriptions (i.e., their 
> SIDX values) 
> > and checking this before writing in the buffer."
> 
> This still has the same problem: it talks about 
> implementation strategies for the receiver buffer. From the 
> point of the payload format, we don't care how many copies of 
> the data are maintained in the buffer, or how you remove duplicates.

Then I'll delete it.  The note was meant to be merely informative but it is giving too much trouble.

José

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt